diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/wifi/test/wifi-channel-switching-test.cc ns-3.41/src/wifi/test/wifi-channel-switching-test.cc
--- ns-3.40/src/wifi/test/wifi-channel-switching-test.cc	2023-09-27 13:30:37.922839900 -0700
+++ ns-3.41/src/wifi/test/wifi-channel-switching-test.cc	2024-02-09 14:44:08.609795000 -0800
@@ -45,9 +45,9 @@
  *
  * This test verifies that communication between an AP and a STA resumes
  * after that both switch channel and PHY band. The channel switch is
- * scheduled to happen during the transmission of a frame sent by the AP
- * to the STA. STA discards the frame, associates with the AP again and
- * finally receives the frame successfully.
+ * scheduled to happen during the transmission of a frame sent by the STA
+ * to the AP. AP discards the frame, STA associates with the AP again and
+ * the AP finally receives the frame successfully.
  */
 class WifiChannelSwitchingTest : public TestCase
 {
@@ -69,7 +69,7 @@
     void Associated(Mac48Address bssid);
     /**
      * Callback invoked when PHY receives a PSDU to transmit from the MAC. Tracks the
-     * number of times a QoS data frame is transmitted by the AP.
+     * number of times a QoS data frame is transmitted by the STA.
      *
      * \param psduMap the PSDU map
      * \param txVector the TX vector
@@ -84,7 +84,7 @@
      */
     void L7Receive(Ptr<const Packet> p, const Address& addr);
     /**
-     * Send a packet from the AP to the STA through a packet socket
+     * Send a packet from the STA to the AP through a packet socket
      */
     void SendPacket();
     /**
@@ -172,8 +172,8 @@
 WifiChannelSwitchingTest::SendPacket()
 {
     PacketSocketAddress socket;
-    socket.SetSingleDevice(m_apDevice.Get(0)->GetIfIndex());
-    socket.SetPhysicalAddress(m_staDevice.Get(0)->GetAddress());
+    socket.SetSingleDevice(m_staDevice.Get(0)->GetIfIndex());
+    socket.SetPhysicalAddress(m_apDevice.Get(0)->GetAddress());
     socket.SetProtocol(1);
 
     // give packet socket powers to nodes.
@@ -181,18 +181,18 @@
     packetSocket.Install(m_staNode);
     packetSocket.Install(m_apNode);
 
-    Ptr<PacketSocketClient> client = CreateObject<PacketSocketClient>();
+    auto client = CreateObject<PacketSocketClient>();
     client->SetAttribute("PacketSize", UintegerValue(m_payloadSize));
     client->SetAttribute("MaxPackets", UintegerValue(1));
     client->SetAttribute("Interval", TimeValue(MicroSeconds(0)));
     client->SetRemote(socket);
-    m_apNode.Get(0)->AddApplication(client);
+    m_staNode.Get(0)->AddApplication(client);
     client->SetStartTime(Seconds(0.5));
     client->SetStopTime(Seconds(1.0));
 
-    Ptr<PacketSocketServer> server = CreateObject<PacketSocketServer>();
+    auto server = CreateObject<PacketSocketServer>();
     server->SetLocal(socket);
-    m_staNode.Get(0)->AddApplication(server);
+    m_apNode.Get(0)->AddApplication(server);
     server->SetStartTime(Seconds(0.0));
     server->SetStopTime(Seconds(1.0));
 }
@@ -229,11 +229,10 @@
     m_apNode.Create(1);
     m_staNode.Create(1);
 
-    Ptr<MultiModelSpectrumChannel> spectrumChannel = CreateObject<MultiModelSpectrumChannel>();
-    Ptr<FriisPropagationLossModel> lossModel = CreateObject<FriisPropagationLossModel>();
+    auto spectrumChannel = CreateObject<MultiModelSpectrumChannel>();
+    auto lossModel = CreateObject<FriisPropagationLossModel>();
     spectrumChannel->AddPropagationLossModel(lossModel);
-    Ptr<ConstantSpeedPropagationDelayModel> delayModel =
-        CreateObject<ConstantSpeedPropagationDelayModel>();
+    auto delayModel = CreateObject<ConstantSpeedPropagationDelayModel>();
     spectrumChannel->SetPropagationDelayModel(delayModel);
 
     SpectrumWifiPhyHelper phy;
@@ -293,10 +292,10 @@
     NS_TEST_EXPECT_MSG_EQ(+m_assocCount, 2, "STA did not associate twice");
     NS_TEST_EXPECT_MSG_EQ(+m_txCount,
                           2,
-                          "The QoS Data frame should have been transmitted twice by the AP");
+                          "The QoS Data frame should have been transmitted twice by the STA");
     NS_TEST_EXPECT_MSG_EQ(m_rxBytes,
                           m_payloadSize,
-                          "The QoS Data frame should have been received once by the STA");
+                          "The QoS Data frame should have been received once by the AP");
     NS_TEST_EXPECT_MSG_EQ(+m_channelSwitchCount[0], 1, "AP had to perform one channel switch");
     NS_TEST_EXPECT_MSG_EQ(+m_channelSwitchCount[1], 1, "STA had to perform one channel switch");
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/wifi/test/wifi-eht-info-elems-test.cc ns-3.41/src/wifi/test/wifi-eht-info-elems-test.cc
--- ns-3.40/src/wifi/test/wifi-eht-info-elems-test.cc	2023-09-27 13:30:37.922839900 -0700
+++ ns-3.41/src/wifi/test/wifi-eht-info-elems-test.cc	2024-02-09 14:44:08.609795000 -0800
@@ -97,11 +97,12 @@
     }
     if (commonInfo.m_mediumSyncDelayInfo.has_value())
     {
-        mle.SetMediumSyncDelayTimer(
+        mle.GetCommonInfoBasic().SetMediumSyncDelayTimer(
             MicroSeconds(32 * commonInfo.m_mediumSyncDelayInfo->mediumSyncDuration));
-        mle.SetMediumSyncOfdmEdThreshold(
+        mle.GetCommonInfoBasic().SetMediumSyncOfdmEdThreshold(
             commonInfo.m_mediumSyncDelayInfo->mediumSyncOfdmEdThreshold - 72);
-        mle.SetMediumSyncMaxNTxops(commonInfo.m_mediumSyncDelayInfo->mediumSyncMaxNTxops + 1);
+        mle.GetCommonInfoBasic().SetMediumSyncMaxNTxops(
+            commonInfo.m_mediumSyncDelayInfo->mediumSyncMaxNTxops + 1);
     }
     if (commonInfo.m_emlCapabilities.has_value())
     {
